services:
  plugin.manager.node_revision_delete:
    class: Drupal\node_revision_delete\Plugin\NodeRevisionDeletePluginManager
    parent: default_plugin_manager
    arguments:
      - '@entity_type.manager'
      - '@config.factory'

  node_revision_delete.batch:
    class: Drupal\node_revision_delete\NodeRevisionDeleteBatch
    arguments:
      - '@messenger'
      - '@entity_type.manager'
      - '@queue'
      - '@logger.factory'
      - '@node_revision_delete'

  node_revision_delete:
    class: Drupal\node_revision_delete\NodeRevisionDelete
    arguments:
      - '@entity_type.manager'
      - '@language_manager'
      - '@database'
      - '@plugin.manager.node_revision_delete'
